using Hotline.Orders;
using Hotline.Settings;
using Hotline.Users;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Schedulings
{
	[Description("排班人员")]
	public class SchedulingUser : FullStateEntity
	{
		/// <summary>
		/// 用户ID
		/// </summary>
		[SugarColumn(ColumnDescription = "用户ID")]
		public string UserId { get; set; }

		/// <summary>
		/// 用户名称
		/// </summary>
		[SugarColumn(ColumnDescription = "用户名称")]
		public string? UserName { get; set; }


		/// <summary>
		/// 用户机构ID
		/// </summary>
		[SugarColumn(ColumnDescription = "用户机构ID")]
		public string? OrgId { get; set; }


		/// <summary>
		/// 用户机构名称
		/// </summary>
		[SugarColumn(ColumnDescription = "用户机构名称")]
		public string? OrgIdName { get; set; }

		/// <summary>
		/// 
		/// </summary>
		[Navigate(NavigateType.OneToOne, nameof(UserId))]
		public User User { get; set; }

		[Navigate(NavigateType.OneToOne, nameof(OrgId))]
		public SystemOrganize Organize { get; set; }
	}
}
